Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
hosting
/
{id}
/
revoke-cancellation
[Web Hosting] Revoke web hosting cancellation
curl --request POST \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/revoke-cancellation \
  --header 'Authorization: Bearer <token>'
{
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_name": "<string>",
  "domain": "<string>",
  "plan": {
    "name": "<string>",
    "slug": "<string>",
    "group": {
      "name": "<string>",
      "slug": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name_en": "<string>",
      "name_fr": "<string>",
      "headline": "<string>",
      "headline_en": "<string>",
      "headline_fr": "<string>",
      "tagline": "<string>",
      "tagline_en": "<string>",
      "tagline_fr": "<string>",
      "display_order": 2147483647,
      "is_active": true
    },
    "pricing": [
      {
        "billing_cycle": "monthly",
        "price": "<string>",
        "discount_percent": "<string>",
        "is_default": true
      }
    ],
    "created": "2023-11-07T05:31:56Z",
    "modified": "2023-11-07T05:31:56Z",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name_en": "<string>",
    "name_fr": "<string>",
    "description": "<string>",
    "description_en": "<string>",
    "description_fr": "<string>",
    "hosting_type": "hostingaccount",
    "disk_space_mb": 2147483647,
    "bandwidth_mb": 2147483647,
    "max_email_accounts": 2147483647,
    "max_databases": 2147483647,
    "max_subdomains": 2147483647,
    "max_addon_domains": 2147483647,
    "max_parked_domains": 2147483647,
    "max_ftp_accounts": 2147483647,
    "max_accounts": 2147483647,
    "is_active": true
  },
  "server": {
    "name": "<string>",
    "hostname": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "ns1": "<string>",
    "ns2": "<string>",
    "is_active": true
  },
  "website_preview": {
    "url": "<string>",
    "http_status": 123,
    "page_title": "<string>",
    "meta_description": "<string>",
    "favicon_url": "<string>",
    "thumbnail_url": "<string>",
    "ssl_status": "valid",
    "ssl_issuer": "<string>",
    "ssl_issued_at": "2023-11-07T05:31:56Z",
    "ssl_expires_at": "2023-11-07T05:31:56Z",
    "last_check_at": "2023-11-07T05:31:56Z",
    "last_successful_check_at": "2023-11-07T05:31:56Z",
    "error_message": "<string>"
  },
  "created": "2023-11-07T05:31:56Z",
  "modified": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "username": "<string>",
  "status": "pending",
  "disk_usage_mb": 2147483647,
  "disk_limit_mb": 2147483647,
  "bandwidth_usage_mb": 2147483647,
  "bandwidth_limit_mb": 2147483647,
  "dedicated_ip": "<string>",
  "ns1": "<string>",
  "ns2": "<string>",
  "billing_cycle": "free",
  "next_billing_date": "2023-11-07T05:31:56Z",
  "suspension_reason": "insufficient_balance",
  "cancellation_requested_at": "2023-11-07T05:31:56Z",
  "is_active": true
}

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string<uuid>
required

Web hosting unique identifier

organization_id
string<uuid>
required

Organization unique identifier

project_id
string<uuid>
required

Project unique identifier

Response

Cancellation revoked successfully

organization_id
string<uuid>
required
read-only
project_id
string<uuid>
required
read-only
project_name
string
required
read-only
domain
string
required

Primary domain

Maximum string length: 255
plan
object
required
server
object
required
website_preview
object
required
created
string<date-time>
required
read-only
modified
string<date-time>
required
read-only
id
string<uuid>
username
string

cPanel username

Maximum string length: 50
status
enum<string>
  • pending - Pending
  • active - Active
  • suspended - Suspended
  • terminated - Terminated
  • cancelled - Cancelled
  • failed - Failed
Available options:
pending,
active,
suspended,
terminated,
cancelled,
failed
disk_usage_mb
integer<int64>

Current disk usage in MB

Required range: 0 <= x <= 4294967295
disk_limit_mb
integer<int64>

Disk limit in MB

Required range: 0 <= x <= 4294967295
bandwidth_usage_mb
integer<int64>

Current bandwidth usage in MB

Required range: 0 <= x <= 4294967295
bandwidth_limit_mb
integer<int64>

Bandwidth limit in MB

Required range: 0 <= x <= 4294967295
dedicated_ip
string | null

Dedicated IP if assigned

ns1
string

Primary nameserver

Maximum string length: 255
ns2
string

Secondary nameserver

Maximum string length: 255
billing_cycle
enum<string>
  • free - Free
  • one_time - One Time
  • monthly - Monthly
  • quarterly - Quarterly
  • semi_annually - Semi-Annually
  • annually - Annually
  • biennially - Biennially
  • triennially - Triennially
Available options:
free,
one_time,
monthly,
quarterly,
semi_annually,
annually,
biennially,
triennially
next_billing_date
string<date-time> | null
suspension_reason
enum<string>

Reason for suspension

  • insufficient_balance - Insufficient Balance
  • payment_failed - Payment Failed
  • card_expired - Card Expired
  • manual - Manual Suspension
Available options:
insufficient_balance,
payment_failed,
card_expired,
manual,
cancellation_requested_at
string<date-time> | null

When cancellation was requested

is_active
boolean